geos::triangulate::quadedge::LastFoundQuadEdgeLocator Class Reference

Locates `QuadEdge`s in a `QuadEdgeSubdivision`, optimizing the search by starting in the locality of the last edge found. More...

`#include <LastFoundQuadEdgeLocator.h>`

Inheritance diagram for geos::triangulate::quadedge::LastFoundQuadEdgeLocator:

## Public Member Functions

| LastFoundQuadEdgeLocator (QuadEdgeSubdivision *subdiv)
QuadEdge * | locate (const Vertex &v) override

## Detailed Description

Locates `QuadEdge`s in a `QuadEdgeSubdivision`, optimizing the search by starting in the locality of the last edge found.

Author
  JTS: Martin Davis
  Benjamin Campbell

## Member Function Documentation

## locate()

QuadEdge * geos::triangulate::quadedge::LastFoundQuadEdgeLocator::locate | ( | const Vertex & | v | ) |

override virtual

Locates an edge e, such that either v is on e, or e is an edge of a triangle containing v. The search starts from the last located edge amd proceeds on the general direction of v.

Returns
  The caller does not take ownership of the returned object.

Implements geos::triangulate::quadedge::QuadEdgeLocator.

The documentation for this class was generated from the following file:

- LastFoundQuadEdgeLocator.h